xine-lib: vdec_hw_h264_pps_t Struct Reference

xine-lib 1.2.12

Data Fields
vdec_hw_h264_pps_t Struct Reference

## Data Fields
uint8_t | pps_id
uint8_t | sps_id
uint8_t | entropy_coding_mode_flag
uint8_t | pic_order_present_flag
uint8_t | num_ref_idx_l0_active_minus1
uint8_t | num_ref_idx_l1_active_minus1
uint8_t | weighted_pred_flag
uint8_t | weighted_bipred_idc
int8_t | pic_init_qp_minus26
int8_t | pic_init_qs_minus26
int8_t | chroma_qp_index_offset
int8_t | second_chroma_qp_index_offset
uint8_t | deblocking_filter_control_present_flag
uint8_t | constrained_intra_pred_flag
uint8_t | redundant_pic_cnt_present_flag
uint8_t | transform_8x8_mode_flag
uint8_t | pic_scaling_matrix_present_flag
uint8_t | pic_scaling_list_present_flag [8]
uint8_t | scaling_lists_4x4 [6][16]
uint8_t | scaling_lists_8x8 [2][64]
uint8_t | num_slice_groups_minus1
uint8_t | slice_group_map_type
uint8_t | slice_group_change_direction_flag
uint16_t | slice_group_change_rate_minus1
uint16_t | pic_size_in_map_units_minus1
struct {
uint16_t id
uint16_t run_length_minus1
uint16_t top_left
uint16_t bottom_right
} | slice_groups [80]

## Field Documentation

## ◆ bottom_right

uint16_t vdec_hw_h264_pps_t::bottom_right

## ◆ chroma_qp_index_offset

int8_t vdec_hw_h264_pps_t::chroma_qp_index_offset

Referenced by _vdec_hw_h264_read_pps(), and _vdec_hw_h264_render().

## ◆ constrained_intra_pred_flag

uint8_t vdec_hw_h264_pps_t::constrained_intra_pred_flag

Referenced by _vdec_hw_h264_read_pps(), and _vdec_hw_h264_render().

## ◆ deblocking_filter_control_present_flag

uint8_t vdec_hw_h264_pps_t::deblocking_filter_control_present_flag

Referenced by _vdec_hw_h264_read_pps(), and _vdec_hw_h264_render().

## ◆ entropy_coding_mode_flag

uint8_t vdec_hw_h264_pps_t::entropy_coding_mode_flag

Referenced by _vdec_hw_h264_read_pps(), and _vdec_hw_h264_render().

## ◆ id

uint16_t vdec_hw_h264_pps_t::id

Referenced by _vdec_hw_h264_read_pps().

## ◆ num_ref_idx_l0_active_minus1

uint8_t vdec_hw_h264_pps_t::num_ref_idx_l0_active_minus1

Referenced by _vdec_hw_h264_read_pps(), _vdec_hw_h264_render(), and _vdec_hw_h264_slice_header().

## ◆ num_ref_idx_l1_active_minus1

uint8_t vdec_hw_h264_pps_t::num_ref_idx_l1_active_minus1

Referenced by _vdec_hw_h264_read_pps(), _vdec_hw_h264_render(), and _vdec_hw_h264_slice_header().

## ◆ num_slice_groups_minus1

uint8_t vdec_hw_h264_pps_t::num_slice_groups_minus1

Referenced by _vdec_hw_h264_read_pps(), and _vdec_hw_h264_render().

## ◆ pic_init_qp_minus26

int8_t vdec_hw_h264_pps_t::pic_init_qp_minus26

Referenced by _vdec_hw_h264_read_pps(), and _vdec_hw_h264_render().

## ◆ pic_init_qs_minus26

int8_t vdec_hw_h264_pps_t::pic_init_qs_minus26

Referenced by _vdec_hw_h264_read_pps(), and _vdec_hw_h264_render().

## ◆ pic_order_present_flag

uint8_t vdec_hw_h264_pps_t::pic_order_present_flag

Referenced by _vdec_hw_h264_read_pps(), _vdec_hw_h264_render(), and _vdec_hw_h264_slice_header().

## ◆ pic_scaling_list_present_flag

uint8_t vdec_hw_h264_pps_t::pic_scaling_list_present_flag[8]

Referenced by _vdec_hw_h264_read_pps().

## ◆ pic_scaling_matrix_present_flag

uint8_t vdec_hw_h264_pps_t::pic_scaling_matrix_present_flag

Referenced by _vdec_hw_h264_read_pps(), and _vdec_hw_h264_render().

## ◆ pic_size_in_map_units_minus1

uint16_t vdec_hw_h264_pps_t::pic_size_in_map_units_minus1

Referenced by _vdec_hw_h264_read_pps().

## ◆ pps_id

uint8_t vdec_hw_h264_pps_t::pps_id

Referenced by _vdec_hw_h264_read_pps().

## ◆ redundant_pic_cnt_present_flag

uint8_t vdec_hw_h264_pps_t::redundant_pic_cnt_present_flag

Referenced by _vdec_hw_h264_read_pps(), _vdec_hw_h264_render(), and _vdec_hw_h264_slice_header().

## ◆ run_length_minus1

uint16_t vdec_hw_h264_pps_t::run_length_minus1

Referenced by _vdec_hw_h264_read_pps().

## ◆ scaling_lists_4x4

uint8_t vdec_hw_h264_pps_t::scaling_lists_4x4[6][16]

Referenced by _vdec_hw_h264_read_pps(), _vdec_hw_h264_render(), and _vdec_hw_h264_scaling_list_fallback_B().

## ◆ scaling_lists_8x8

uint8_t vdec_hw_h264_pps_t::scaling_lists_8x8[2][64]

Referenced by _vdec_hw_h264_read_pps(), _vdec_hw_h264_render(), and _vdec_hw_h264_scaling_list_fallback_B().

## ◆ second_chroma_qp_index_offset

int8_t vdec_hw_h264_pps_t::second_chroma_qp_index_offset

Referenced by _vdec_hw_h264_read_pps(), and _vdec_hw_h264_render().

## ◆ slice_group_change_direction_flag

uint8_t vdec_hw_h264_pps_t::slice_group_change_direction_flag

Referenced by _vdec_hw_h264_read_pps().

## ◆ slice_group_change_rate_minus1

uint16_t vdec_hw_h264_pps_t::slice_group_change_rate_minus1

Referenced by _vdec_hw_h264_read_pps().

## ◆ slice_group_map_type

uint8_t vdec_hw_h264_pps_t::slice_group_map_type

Referenced by _vdec_hw_h264_read_pps(), and _vdec_hw_h264_render().

## ◆

struct { ... } vdec_hw_h264_pps_t::slice_groups[ 80 ]

Referenced by _vdec_hw_h264_read_pps().

## ◆ sps_id

uint8_t vdec_hw_h264_pps_t::sps_id

Referenced by _vdec_hw_h264_check_ref_list(), _vdec_hw_h264_decode_poc(), _vdec_hw_h264_get_sps(), _vdec_hw_h264_read_pps(), _vdec_hw_h264_render(), _vdec_hw_h264_slice_header(), and _vdec_hw_h264_slice_header_post().

## ◆ top_left

uint16_t vdec_hw_h264_pps_t::top_left

## ◆ transform_8x8_mode_flag

uint8_t vdec_hw_h264_pps_t::transform_8x8_mode_flag

Referenced by _vdec_hw_h264_read_pps(), and _vdec_hw_h264_render().

## ◆ weighted_bipred_idc

uint8_t vdec_hw_h264_pps_t::weighted_bipred_idc

Referenced by _vdec_hw_h264_read_pps(), _vdec_hw_h264_render(), and _vdec_hw_h264_slice_header_post().

## ◆ weighted_pred_flag

uint8_t vdec_hw_h264_pps_t::weighted_pred_flag

Referenced by _vdec_hw_h264_read_pps(), _vdec_hw_h264_render(), and _vdec_hw_h264_slice_header_post().

The documentation for this struct was generated from the following file:

- xine-lib-1.2.12/src/video_dec/libvdpau/vdec_hw_h264.c